Readit News logoReadit News
tmerse commented on What's happening inside the NIH and NSF   science.org/content/blog-... · Posted by u/rrock
throwawaymaths · a year ago
what does being the private sector have to do with anything? We're talking about use of taxpayer money.
tmerse · a year ago
I'd like to make the point that private and public are coupled, in a way that if you dismantle everything public/tax funded, there is effectively nothing left except private by definition (with all it's upsides and downsides where the latter will be amplified in the absence of public oversight bodies funded by public money based on public law).

Now I (as a non US citizen, but one of a country that has it's fair share of needless bureaucracy) wholeheartedly agree that there is waste, a lack of oversight/transparency and probably a need for more say of the common taxpayer on how their money is spent.

But as someone who learnt the meaning of the Terms "Gleichschaltung" and "Ermächtigungsgesetz" in school, I wholeheartedly disagree with the current measures and how they unfold right in front of our eyes.

tmerse commented on What's happening inside the NIH and NSF   science.org/content/blog-... · Posted by u/rrock
throwawaymaths · a year ago
> I chose to get into science for the benefit of the masses

why do you suppose most science benefits the masses?

a stunning amount of science is negative. homme hellinga cheating and claiming a triosephosphate isomerase, for example. stripey nanoparticles, as another. Thousands of western blots that were cleverly edited by unscrupulous postdocs. everything by diderik stapel. anil potti.

those are the ones that got caught. so many more got away with it.

and yes, if you can't tell, i know what the fuck I'm talking about.

> And to give you an example

why dont i give you an example. NIH is responsible for 80% of the budget of an NGO that collaborated with WIV and advocated for GOF research. on the grounds of likely being responsible in part for the deaths of millions worldwide maybe we should suspend funding to the NIH until all of its policies can be reviewed

tmerse · a year ago
Luckily those things never happen in the private sector. Theranos?
tmerse commented on What's happening inside the NIH and NSF   science.org/content/blog-... · Posted by u/rrock
Dalewyn · a year ago
I'm a Trump voter (2016, 2020, and 2024) so I obviously find all this a good thing, just for transparency.

That said, that is tangential and irrelevant to explaining how and why the pendulum swung back as hard as it did.

Trump won his first term in 2016 because Americans were fed up with the Bush+Obama status quo of endless wars and waste. Drain the swamp, fuck the establishment! As the sentiment of the day went; remember Occupy Wall Street and the Tea Party? Biden winning 2020 was a sharp rebuke by the powers that be; how dare the people demand change and elect an outsider, how dare the people demand peace and effective government. Biden and Harris's 2024 campaigns likewise were based strictly and ultimately on continuing the status quo; Harris "had no policy" in large part because the "policy" was the status quo.

Trump winning again in 2024 with a historic campaign is a sharp rebuke to that, he is the people's retribution for being denied and refused for so long time and time again. For voters like me and us, NASA and the like having their funding slashed and denied is merely collateral damage for a greater and long-awaited cause.

tmerse · a year ago
Trump won his first term in 2016 because Americans were fed up with the Bush+Obama status quo of endless wars and wast

Does this include threatening Greenland with military action or does it not count as war if there is little resistance to be expected?

tmerse commented on Show HN: Void, an open-source Cursor/GitHub Copilot alternative   github.com/voideditor/voi... · Posted by u/andrewpareles
rhardih · a year ago
If anyone can point in the direction of a Cursor like experience, but within Neovim, I'm definitely in the market for that option.
tmerse · a year ago
- https://github.com/olimorris/codecompanion.nvim

- https://github.com/yetone/avante.nvim

Did not have the time to test them yet and there are probably more.

tmerse commented on Stripe's Monorepo Developer Environment   blog.nelhage.com/post/str... · Posted by u/edran
drakerossman · 2 years ago
It (obviously) leverages Nix, which in turn means the environment is declarative and fully reproducible (not "reproducible" as in docker). Now, you can use just Nix's devShells, but with devenv you have a middleground between just Nix package manager and a full fledged NixOS module system. Basically, write out one line of code - and you've got your Postgres, another one - full linter set up for whatever language you're using, etc.
tmerse · 2 years ago
Can I also get the security/isolation benefits that a duly configured docker/podman can provide (container can only act on mounted volume, non-root user, other seccomp settings?).

I feel better doing my "npm install"s in such an environment (of course it's still not a VM – but that's another topic).

When I read about nix, reproducibility is a goal, but security/isolation is a non-goal.

tmerse commented on Cortile – Linux auto tiling manager with hot corner support   github.com/leukipp/cortil... · Posted by u/smartmic
jesprenj · 2 years ago
Is there something similar for KDE Plasma on Wayand?
tmerse · 2 years ago
https://github.com/zeroxoneafour/polonium

This certainly looks interesting. Cannot comment on it's current state, as I still use bismuth on x11

tmerse commented on Phytomining – Extracting Minerals via Plants   arpa-e.energy.gov/news-an... · Posted by u/Gaishan
kelseyfrog · 2 years ago
Even when plants don't extract significant amounts of material, they can be useful in detecting sources. A paper about using synchrotron analyses to detect gold in eucalyptus comes to mind.

https://www.nature.com/articles/ncomms3614

tmerse · 2 years ago
And then there is nano bionic, explosives detecting spinach.

https://news.mit.edu/2016/nanobionic-spinach-plants-detect-e...

tmerse commented on Neorg – organize your life in Neovim   github.com/nvim-neorg/neo... · Posted by u/Brajeshwar
melodyogonna · 2 years ago
I thank Neorg for making me learn about Obsidian.
tmerse · 2 years ago
There also is obsidian.nvim [1] if you want to mix and match obsidian and neovim for using/editing obsidian vaults.

1: https://github.com/epwalsh/obsidian.nvim

tmerse commented on TextSnatcher: Copy text from images, for the Linux Desktop   github.com/RajSolai/TextS... · Posted by u/nateb2022
tmerse · 2 years ago
I also used the very same script until I stumbled upon this on hn [0].

    #!/usr/bin/env bash
    langs=(eng ara fas chi_sim chi_tra deu ell fin heb hun jpn kor nld rus tur)
    lang=$(printf '%s\n' "${langs[@]}" | dmenu "$@")
    maim -us | tesseract --dpi 145 -l eng+${lang} - - | xsel -bi

[0]: https://news.ycombinator.com/item?id=33704483#33705272

tmerse · 2 years ago
Ah just saw rjzzleep posted an updated version here. Happy to steal this one again :)
tmerse commented on TextSnatcher: Copy text from images, for the Linux Desktop   github.com/RajSolai/TextS... · Posted by u/nateb2022
bpfrh · 2 years ago
I use the same script as Dibby053, copied from stackoverflow but with some tweaks to work on kde,gnome and wayland as well as x11 and with some notifications on what state it is in.

I didn't test the x11/wayland check yet, but feel free to use it and report back.

  #!/bin/bash 
  # Dependencies: tesseract-ocr imagemagick 
  # on gnome: gnome-screenshot 
  # on kde: spectacle
  # on x11: xsel
  # on wayland: wl-clipboard

  die(){
  notify-send "$1"
  exit 1
  }
  cleanup(){
  [[ -n $1 ]] &&  rm -rf "$1"
  }

  SCR_IMG=$(mktemp)  || die "failed to take screenshot"

  # shellcheck disable=SC2064
  trap "cleanup '$SCR_IMG'" EXIT

  notify-send "Select the area of the text" 
  if  which "spectacle" &> /dev/null
  then
    spectacle -r -o "$SCR_IMG.png" || die "failed to take screenshot"
  else
    gnome-screenshot -a -f "$SCR_IMG.png" || die "failed to take screenshot"
  fi

  # increase image quality with option -q from default 75 to 100
  mogrify -modulate 100,0 -resize 400% "$SCR_IMG.png"  || die "failed to convert image"
  #should increase detection rate

  tesseract "$SCR_IMG.png" "$SCR_IMG" &> /dev/null || die "failed to extract text"
  if [ "$XDG_SESSION_TYPE" == "wayland" ]
  then 
  wl-copy < "$SCR_IMG.txt" || die "failed to copy text to clipboard"
  else
  xsel -b -i  < "$SCR_IMG.txt" || die "failed to copy text to clipboard"
  fi
  notify-send "Text extracted"
  exit

edit:

Formatting

tmerse · 2 years ago
I also used the very same script until I stumbled upon this on hn [0].

    #!/usr/bin/env bash
    langs=(eng ara fas chi_sim chi_tra deu ell fin heb hun jpn kor nld rus tur)
    lang=$(printf '%s\n' "${langs[@]}" | dmenu "$@")
    maim -us | tesseract --dpi 145 -l eng+${lang} - - | xsel -bi

[0]: https://news.ycombinator.com/item?id=33704483#33705272

u/tmerse

KarmaCake day86August 20, 2016View Original